###################################################################################################
##########                    EXERCISE: DICTIONARIES (CASH REGISTER)                     ##########
###################################################################################################
# You will write a function that is meant to mimic a cash register at a pop-up stop. You should
# keep "selling" goods until your full inventory is sold.

# Step 1: Update the condition in the while loops so that it runs until the inventory is 0
#         HINT: use sum() and .values()
# Step 2: Print the inventory with each item on it's own line (include the item name and price)
#         Use a loop through the dictionary
# Step 3: Print the price of the item inputted by the user if it is in the inventory with a 
#         nonzero value. If it's not in stock, indicate that with a message.
# Step 4: Decrease the value stored with item by 1 in the inventory
###################################################################################################
# If you have extra time, you can work on Homework 5 or start looking at Homework 6
# You can also work on dictionary/set exercises on PrairieLearn!
###################################################################################################


def cash_register(inventory, prices):
    """
    This function takes two dictionaries as input: inventory and prices
    It prints what is in stock in the inventory, then asks the user what they'd like to buy
    It prints the price of the item they are buying, then decreases the inventory of that item by 1

    Arguments:
        inventory (Dict[str, int]): the inventory, represented as pairs of items --> ints
        prices (Dict[str, int]): the prices of items in the shop, represented as items --> floats

    Returns:
        int/float: the sum of the numbers
    """
    while sum(inventory.values()) != 0: # STEP 1: update this condition
        print("Items left in stock:")
        # STEP 2: print the inventory line-by-line
        for item, count in inventory.items():
            print(item, count)

        item = input("What are you buying? ")
        # STEP 3: print the price of the item if it is in the inventory with a nonzero value
        # STEP 4: decrease the inventory of the item by 1
        if item in inventory and inventory[item] != 0:
            print(item + " costs $" + str(prices[item]))
            inventory[item] -= 1
        else:
            print(item + " is not in stock")


# this is an example function call, feel free to change it!
inventory = {"chocolate": 2, "banana": 1}
prices = {"chocolate": 3, "banana": 1}
cash_register(inventory, prices)